Subject: Re: bug#46119: 28.0.50; this-error-recenter

From: Juri Linkov <[email-masked]>
Date: Tue, 02 Feb 2021 19:04:06 +0200

>>  (add-hook 'next-error-hook 'recenter-top-bottom)
>>
>> then use 'C-o' in any next-error capable buffer (compilation, occur, ...)
>> to recenter its corresponding window exactly like you want.
>
> Thank you, that's nice. I still see superior adding a new command for
> 2 resons.
>
> - I like to provide the binding by default to the users; same as we do with
>   `n' or `p' to navigate the matches without selecting the buffer.  It is
>  quite convenient.
>
> - The hook above doesn't accept a prefix.  With the original proposal I can
>  do:
> 2 l ; scroll the current displayed match at the second line.
> This become handy when you want to inspect the context of the match.

Is it possible to add a prefix to `C-o'?  What I'm worried about is
two commands `C-o' and `l' doing the same thing.  Or maybe these
commands are used for different purposes?